### Method

# Gtk TreeModelget_iter

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_model_get_iter (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      GtkTreePath* path
    )

#### Description [src]

Sets `iter` to a valid iterator pointing to `path`.

If `path` does not exist, `iter` is set to an invalid iterator and `FALSE` is returned.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The uninitialized `GtkTreeIter`

  The argument will be set by the function.
  The data is owned by the instance.

`path`

  Type: `GtkTreePath`

  The `GtkTreePath`

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE`, if `iter` was set.